Package org.benf.cfr.reader.api

# Interface SinkReturns.ExceptionMessage

Enclosing interface:
  `SinkReturns`

public static interface SinkReturns.ExceptionMessage
An exception message with more detail.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `String`
  `getPath()`
  `Exception`
  `getThrownException()`

- ## Method Details

  - ### getPath

    String getPath()
    Returns:
      the path of the file being analysed at the time of exception.

  - ### getMessage

    String getMessage()
    Returns:
      any handy addtional information - a precis of the exception

  - ### getThrownException

    Exception getThrownException()
    Returns:
      full exception.